Developers
API ReferenceFinance Unit

Updates the FinanceUnit resource.

PATCH
/finance/finance-units/{id}

Updates the FinanceUnit resource.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

FinanceUnit identifier

Request Body

The updated FinanceUnit resource

  1. body
name?string
Length1 <= length <= 20
isDefault?boolean

Response Body

FinanceUnit resource updated

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 20
isDefault?boolean
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/finance/finance-units/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "isDefault": true}